local coroutineEntity = monocle.Entity()

local vector2 = require("#microsoft.xna.framework.vector2")

function onBegin(room)
  disableMovement()
  player.ForceCameraUpdate = false
  wait(1)
  say("donkFeatherCrispyCutscene1")
  setFlag("donkFeather2026_TPAway2", True)
  enableMovement()
end

function onEnd(room, wasSkipped)
  enableMovement()
  player.DummyAutoAnimate = true
  player.ForceCameraUpdate = true
  setFlag("donkFeather2026_TPAway2", True)
  getLevel():ResetZoom()
  enableMovement()
    if wasSkipped then
    player.DummyAutoAnimate = true
    player.ForceCameraUpdate = true
    setFlag("donkFeather2026_TPAway2", True)
    getLevel():ResetZoom()
    enableMovement()
    end
end